Page MenuHomePhabricator

WikiEditor uses Apex-like styling in Vector for the toolbar; change this to WikimediaUI-style
Closed, ResolvedPublic

Description

Current (Vector & Monobook)

Proposed:
Vector/WMUI:


Monobook/Apex:

VE toolbars for comparison:


Event Timeline

Esanders created this task.May 13 2019, 6:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 13 2019, 6:29 PM

Change 509882 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/WikiEditor@master] Use WMUI toolbar styling in Vector

https://gerrit.wikimedia.org/r/509882

Esanders updated the task description. (Show Details)May 13 2019, 7:14 PM
Jdforrester-WMF renamed this task from WikiEditor uses Apex styling in Vector to WikiEditor uses Apex-like styling in Vector for the toolbar; change this to WikimediaUI-style.May 13 2019, 7:34 PM
Esanders updated the task description. (Show Details)May 14 2019, 12:57 PM
Esanders updated the task description. (Show Details)May 14 2019, 3:46 PM

In Vector this is also a usability improvement with expanding the tool click area from 26x26px to 32x32px.

Also sharing on task, the arrows should be replaced in WikimediaUI style by carets

Also sharing on task, the arrows should be replaced in WikimediaUI style by carets

We use the same icons and indicators on WMUI and Apex, so that should be changed on both. However given that this is a compact toolbar (about half the height of the VE one) and the arrows behave slightly differently (rotating to show a tray is open - [except for the heading dropdown]) we can probably leave this for now.

Also sharing on task, the arrows should be replaced in WikimediaUI style by carets

In this screenshot, one can see the light blue borders and gradients used around the content area, sidebar and in the top navigation of Vector. These are the most prominent and visually identifying parts of the skin and they have not changed since their introduction in 2010. While I understand you want to depart from this design (is that right?), we've yet to see that happen. Do we have a roadmap and timeline for that? If so, we may want to coordinate those to coincide.

This toolbar is one of the most prominent interfaces for editors using wikitext every single day, and this change imho simply makes it out of tone with the skin. It is controversial technically, but from a naïve user perspective it seems like it would be more consistent to use the Apex version for this toolbar.

Anyway, looking ahead to the inevitable WMUI:

In the above screenshot, I feel disoriented as a user. The surrounding page frame, the toolbar, the sub toolbar, and the editable text area are all flat white with a black foreground. There is no hierarchy or balance to orient the user (e.g. color or shading). Even in flat designs, this is usually addressed in some way with colours. Are there plans to address that?

In the above screenshot, I feel disoriented as a user. The surrounding page frame, the toolbar, the sub toolbar, and the editable text area are all flat white with a black foreground. There is no hierarchy or balance to orient the user (e.g. color or shading). Even in flat designs, this is usually addressed in some way with colours. Are there plans to address that?

To the last part, this has been identified as a shortcoming of current toolbar treatment in WikimediaUI in Vector and MinervaNeue. We've been talking about giving the WMUI toolbar a slight grey too, like the current button treatment, also to align and set it apart from the textarea and unify. But there's no clear timeline to address that yet.

Change 509882 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/WikiEditor@master] Use WMUI toolbar styling in Vector

https://gerrit.wikimedia.org/r/509882

This toolbar is one of the most prominent interfaces for editors using wikitext every single day, and this change imho simply makes it out of tone with the skin.

The content area has always been solid white with no gradients, and the editing toolbar exists within the content area, not the navigation chrome.

happy5214 moved this task from Backlog to Doing on the WikiEditor board.Aug 2 2019, 3:32 AM

Change 570175 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/WikiEditor@master] Use caret-style arrow indicator

https://gerrit.wikimedia.org/r/570175

@Volker_E I've fixed the arrows in this parent patch:

Change 570177 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/WikiEditor@master] Align toolbar styling with Apex

https://gerrit.wikimedia.org/r/570177

Change 570178 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Match WikiEditor switching widget to Apex toolbar theme

https://gerrit.wikimedia.org/r/570178

Change 570179 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Use WMUI styled WikiEditor switcher when in Vector

https://gerrit.wikimedia.org/r/570179

I've separated the Apex & WMUI patches, so the first patch just applies the change from "Current" to "Monobook/Apex".

Change 570175 merged by jenkins-bot:
[mediawiki/extensions/WikiEditor@master] Use caret-style arrow indicator

https://gerrit.wikimedia.org/r/570175

Change 570178 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Match WikiEditor switching widget to Apex toolbar theme

https://gerrit.wikimedia.org/r/570178

Krinkle removed a subscriber: Krinkle.Feb 5 2020, 11:04 PM

Change 570177 merged by jenkins-bot:
[mediawiki/extensions/WikiEditor@master] Align toolbar styling with Apex

https://gerrit.wikimedia.org/r/570177

Change 570179 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Use WMUI styled WikiEditor switcher when in Vector

https://gerrit.wikimedia.org/r/570179

Volker_E closed this task as Resolved.Feb 11 2020, 9:45 PM
Volker_E assigned this task to Esanders.
Volker_E removed a project: Patch-For-Review.
Volker_E moved this task from Doing to Closed on the WikiEditor board.

Change 509882 merged by jenkins-bot:
[mediawiki/extensions/WikiEditor@master] Use WikimediaUI toolbar styling in Vector

https://gerrit.wikimedia.org/r/509882

TheDJ added a comment.EditedFeb 25 2020, 12:43 PM

@Esanders the change in VE uses 34px for the height dimension, but I noticed a small layout change during loading of the edit pages (Vector), and according to my inspector the height should be 32px instead of 34px??? Mistake ? or did we drop a border somewhere ?

Change 575010 had a related patch set uploaded (by TheDJ; owner: TheDJ):
[mediawiki/extensions/VisualEditor@master] Fix dimensions of WE2017 switch to VE

https://gerrit.wikimedia.org/r/575010

Change 575010 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Fix dimensions of WE2017 switch to VE

https://gerrit.wikimedia.org/r/575010

Per Czech Wikipedia Technical Village Pump there is an issue with user scripts/gadgets adding own buttons after these changes. Their positioning and margins/paddings is broken/misaligned.

TheDJ added a comment.Feb 29 2020, 4:09 PM

Note: importScript('Wikipedista:Draceane/vector.js')

Doesn't look problematic to me

please upload screenshots to https://phabricator.wikimedia.org/file/upload/ for comparison

TheDJ added a comment.Mar 2 2020, 11:06 AM

Ah. I think I know what you mean. The 'hit area of buttons used to be 24x24, whereas the spacing was 32x32. It is now 32x32 for both (to increase hitarea and to show hover effect.
That means that if you toss in (pre 2010 style) buttons and expect them to line up in a 24x24 grid (which only ever happened to work by chance), then you will now find them 32x32 aligned.